Bug 1155 - Strange timing in killproc()
Strange timing in killproc()
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-02-13 17:40 EST by jacobn+redhat
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-02-17 12:15:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jacobn+redhat 1999-02-13 17:40:00 EST
Under RedHat 5.1 and 5.2 in the procedure killproc() (used
during shutdown) the following code appears:

  # TERM first, then KILL if not dead
  kill -TERM $pid
  usleep 100000
  if ps h $pid >/dev/null 2>&1 ; then
          sleep 3
          kill -KILL $pid
  fi

i.e., send TERM, see if it's gone away 100ms later, and if
not *wait another three seconds* then send KILL (AIUI). This
has been giving me 'kill: (nnn) - No such pid' errors during
shutdown (not surprisingly).
Comment 1 Bill Nottingham 1999-02-17 12:15:59 EST
this is fixed in a later version of initscripts.

Note You need to log in before you can comment on or make changes to this bug.